- [HTTP request](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.ListImpactsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/list.md.txt#body.aspect)

Lists impacts under a given project and location.

### HTTP request

`GET https://servicehealth.googleapis.com/v1beta/{parent=projects/*/locations/*}/impacts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListImpactsRequest eg: "projects/{projectId}/locations/{location}" |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of results to return. The service may return fewer results than this value. If unspecified, server will pick an appropriate default. Maximum value is 100. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Provide Page token returned by a previous 'impacts.list' call to retrieve the next page of results. When paginating, all other parameters provided to 'impacts.list' must match the call that provided the page token. |
| `filter` | `string` Optional. A filter expression that filters resources listed in the response. The expression is in the form of field=value. |

### Request body

The request body must be empty.

### Response body

Message for response to listing impacts.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "impacts": [ { object (`Impact`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `impacts[]` | ``object (`Impact`)`` Output only. List of impacts. |
| `nextPageToken` | `string` Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as pageToken in subsequent requests to retrieve the next page. If this field is not present, there are no subsequent results. |
| `unreachable[]` | `string` Output only. Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/servicehealth.readonly`
- `https://www.googleapis.com/auth/servicehealth`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).